import service from "apigo.cc/gojs/service"
import co from "apigo.cc/gojs/console"

function main() {
    service.register({
        method: 'WS', path: '/ws',
        onMessage: ({ client, type, data }) => {
            client.writeMessage(type, data)
        },
        onClose: () => {
            co.info('ws closed')
        }
    }, ({ client }) => {
        client.write('Hello, World!')
    })
}
